const ApiService = require("moleculer-web");

module.exports = {
    name: 'api',
    mixins: [ApiService],
    settings: {
        routes: [{
            path: "/api",
            whitelist: [
                "api.*.*"
            ],
            autoAliases: true
        }],
        cors: {
            origin: "*",
            methods: ["GET", "OPTIONS", "POST", "PUT", "DELETE"],
            credentials: false
        },
        port: 8080
    }
};

